/*
 * main.c
 *
 *  Created on: 2022 Jul 22 11:38:40
 *  Author: LuShe
 */

#include "xmc_common.h"
#include <stdbool.h>
#include "src/xmc1100/uart/uart.h"
#include "src/xmc1100/uart/uart.h"
#include "src/xmc1100/i2c_int/i2c_int.h"
#include "src/xmc1100/interrupt/interrupts.h"
#include "src/TLx493D/TLx493D.h"
#include "stdio.h"

/**

 * @brief main() - Application entry point
 *
 * <b>Details of function</b><br>
 * This routine is the application entry point. It is invoked by the device startup code. 
 */

void delay_10ms();

int main(void)
{
	initialise_monitor_handles();

	int32_t status;
	TLx493D_data_frame_t frame;
	int16_t Bx_LSB, By_LSB, Bz_LSB, sensor_temperature_LSB;
	int Bx, By, Bz,T;

	// Initialize Kit
	UART_init();
	INT_init_ext_interrupts();
	I2C_INT_init();

	status = TLx493D_init();
	status =  TLx493D_set_operation_mode(TLx493D_OP_MODE_MCM);

	while (1U) {
	// read a data frame
	status = TLx493D_read_frame(&frame);

	// Copy Magnetic Field Intensity and temperature values in LSB format
	Bx_LSB = frame.x;
	By_LSB = frame.y;
	Bz_LSB = frame.z;
	sensor_temperature_LSB = frame.temp;

	Bx = 0.13*Bx_LSB;
	By = 0.13*By_LSB;
	Bz = 0.13*Bz_LSB;
	printf("(Bx,By,Bz): %d %d %d \n",Bx,By,Bz);
	delay_10ms(200);

	}
}

void delay_10ms (int points)
{
	for(int i=0;i<points;i++)
	{
		for(int j=0;j<3333;j++)
		{}
	}
}

