/*
*****************************************************************************
* Copyright (C) 2019 Infineon Technologies AG. All rights reserved.
*
* Infineon Technologies AG (INFINEON) is supplying this file for use
* exclusively with Infineon's products. This file can be freely
* distributed within development tools and software supporting such microcontroller
* products.
*
* THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
* INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR DIRECT, INDIRECT, INCIDENTAL,
* ASPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*
******************************************************************************
*/

/*! \file flash_storage.h
 * \brief Storage to flash */

#ifndef SRC_SHIFTER_FLASH_STORAGE_H_
#define SRC_SHIFTER_FLASH_STORAGE_H_

#include <stdint.h>
#include <stddef.h>

#define BASE_ADDR_SECTOR(x) ((uint32_t*)(0x10000000ull + 0x1000ull * (x)))


/*! \brief Erase one flash page at storage address */
void FLASH_erase_stored_data(void);

/*! \brief Store data to flash */
void FLASH_store(uint32_t *to_store, uint32_t size);

/*! \brief Load data from flash */
void FLASH_load(uint32_t *to_load, uint32_t size);

#endif /* SRC_SHIFTER_FLASH_STORAGE_H_ */
